Subject: Re: EV-64260-BP & GT64260 bi_recs

From: Tom Rini <[email-masked]>
Date: Tue, 2 Apr 2002 13:12:35 -0700

On Tue, Apr 02, 2002 at 12:29:55PM -0500, Dan Malek wrote:
>
> I'm glad you found _some_ of the humor in it :-)
>
> Paul Mackerras wrote:
>
>
> >Two reasons: (a) it seems to be that (for example) most of the if
> >statements in arch/ppc/config.in are concerned with embedded boards,
>
> Well, yes, and at one point I tried to create config.in files that were
> unique to the boards/peripherals that were just callouts from config.in.
> That didn't last long because all of these were incorporated (not by me :-)
> into config.in and other places.  I thought having these board specific
> configuration files was kind of nice, kept arch/ppc/config.in cleaner,
> kept the interdependencies localized to a sensible place, but I guess
> someone thought different when it got merged from the development tree.

It was probably me.  One thing I want to do in the 2.5 tree is make
arch/ppc/platforms/{8xx,4xx}.in and source those from
arch/ppc/config.in, as well as move network things to network Config
files, and so on.

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/